@{
    ViewBag.Title = "Products";
}

<p id="test">Products</p>

<div class="products-view-wrapper">
    <div class="properties-for-products">
        @using (Ajax.BeginForm("ProductsSearch", null, new AjaxOptions
        {
            UpdateTargetId = "results",
            HttpMethod = "POST"
        }, new {id = "products-form"}))
        {
            @Html.DropDownList("Name", (IEnumerable<SelectListItem>)ViewBag.Products/* as SelectList*/, new {id = "selectedElement"})
        }
    </div>
    <div id="results">
        @Html.Partial("ProductsSearch")
    </div>
</div>

<script>
    $('#products-form').submit();
    $("#selectedElement").bind("click", function (event){
        $('#products-form').submit();
    });
</script>